<!DOCTYPE html>
<html lang="fr">
<head>
<meta charset="utf-8"/>
<title>Dispositifs de réalité Mixte</title>
<meta name="author" content="(Bertrand SIMON)"/>
<meta name="description" content=""/>
<meta name="keywords" content=""/>
<style type="text/css">
.underline { text-decoration: underline; }
</style>
<link rel="stylesheet" href="/home/bs/Applications/reveal.js/css/reveal.css"/>

<link rel="stylesheet" href="/home/bs/Applications/reveal.js/css/theme/custom.css" id="theme"/>


<!-- If the query includes 'print-pdf', include the PDF print sheet -->
<script>
    if( window.location.search.match( /print-pdf/gi ) ) {
        var link = document.createElement( 'link' );
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = '/home/bs/Applications/reveal.js/css/print/pdf.css';
        document.getElementsByTagName( 'head' )[0].appendChild( link );
    }
</script>
<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
</head>
<body>
<div class="reveal">
<div class="slides">
<section id="sec-title-slide"><h1 class="title">Dispositifs de réalité Mixte</h1><h2 class="author">Bertrand SIMON</h2><p class="date">Created: 2019-10-20 dim. 22:22</p>
</section>
<section>
<section id="slide-org1e9cf51">
<h2 id="org1e9cf51"><span class="section-number-2">1</span> Introduction</h2>
<div class="outline-text-2" id="text-1">
</div>
</section>
<section id="slide-org4f125fd">
<h3 id="org4f125fd">Qu'est ce que la réalité mixte ?</h3>

<div class="figure">
<p><img src="./figures/milgram.png" alt="milgram.png" />
</p>
<p><span class="figure-number">Figure&nbsp;1&nbsp;: </span>Le continuum de réalité mixte d'après <a href="https://search.ieice.org/bin/summary.php?id=e77-d_12_1321">Milgram et Kishino (1994)</a></p>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/leia.gif" alt="leia.gif" /></td>
<td class="org-left"><img src="./figures/Minecraft-vr.jpg" alt="Minecraft-vr.jpg" /></td>
</tr>
</tbody>
</table>
<aside class="notes">
<p>
La réalité mixte se définit principalement comme un mélange entre le réel et le virtuel, ou plus précisément , par l’usage d’objets mixtes possédant une partie dans le réel et une partie numérique (ou virtuelle) dans une part plus ou moins grande. Ce continuum entre réalité et virtualité (figure 2.2) a été introduit par <a href="https://search.ieice.org/bin/summary.php?id=e77-d_12_1321">Milgram et Kishino (1994)</a> et approfondi par <a href="http://iihm.imag.fr/en/publication/DNT01a/">Dubois et al. 01</a> qui distinguent plus clairement la réalité augmentée, qui considère des objets réels augmentés, de la virtualité augmentée, qui considère des objets virtuels augmentés par le réel.
</p>

</aside>
</section>
<section id="slide-orgfbb7093">
<h3 id="orgfbb7093">2D ou 3D : différentes modalités</h3>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">
<caption class="t-above"><span class="table-number">Tableau 1 :</span> AR basée sur la projection 2D <a href="http://www.pranavmistry.com/projects/sixthsense/">MIT Media Lab</a>,</caption>

<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/projection_based_AR2.jpg" alt="projection_based_AR2.jpg" /></td>
<td class="org-left"><img src="./figures/projection_based_AR.jpg" alt="projection_based_AR.jpg" /></td>
</tr>
</tbody>
</table>
<aside class="notes">
<p>
Strictement parlant, les applications de réalité augmentée peuvent se contenter d'affichages 2D.
</p>

</aside>
</section>
<section >

<div class="figure">
<p><img src="./figures/hololens-surgery.png" alt="hololens-surgery.png" /> 
</p>
<p><span class="figure-number">Figure&nbsp;2&nbsp;: </span>Certaines applications nécessitent un affichage 3D <a href="https://imperialbrc.nihr.ac.uk/2018/03/20/holograms-assist-surgeons/">Imperial Biomedical Research Centre</a></p>
</div>
<aside class="notes">
<p>
Cependant, la nécessité d'avoir un affichage 3D efficace peut s'avérer d'autant plus important que l'on souhaite intégrer le contenu "virtuel" dans une scène qui est elle même tri-dimensionnelle, ou, en tout cas, perçue comme telle.
</p>

</aside>
</section>
<section id="slide-org8b2a21c">
<h3 id="org8b2a21c">Intérêt de la 3D</h3>

<div class="figure">
<p><img src="./figures/geng_001.png" alt="geng_001.png" />
</p>
<p><span class="figure-number">Figure&nbsp;3&nbsp;: </span>Exemple d'illusion d'optique qui montre à quel point un affichage 2D peut "tromper" notre cerveau <a href="https://doi.org/10.1364/AOP.5.000456">Geng (2013)</a></p>
</div>
<aside class="notes">
<p>
La figure 1 illustre un exemple d'illusion d'optique montrant à quel point il est facile d'induire en erreur le système visuel humain dans un écran plat 2D. Sur la gauche de la figure sont des morceaux d'un objet. Ils ressemblent aux coins et aux côtés d'un objet 3D. Après les avoir assemblées, un dessin d'objet physiquement impossible est formé dans un écran 2D (à droite de la Fig. 1). Notez que, toutefois, la collection de lignes et d'angles 2D constituant le dessin 2D n'est en soi absolument pas impossible. La cause de cette illusion d'optique est le manque d'indices de profondeur appropriés dans le système d'affichage 2D. Pour surmonter efficacement l'illusion ou la confusion qui survient souvent lors de la visualisation de données / images de grande dimension, de véritables systèmes d'affichage 3D volumétriques préservant la plupart des repères de profondeur d'une image sont nécessaires.
Les dispositifs d'affichage 2D conventionnels, tels que les tubes cathodiques (CRT), les dispositifs à cristaux liquides (LCD) ou les écrans à plasma, créent souvent une ambiguïté et une confusion dans la présentation de données / graphiques haute dimension en raison de l'absence de repères de profondeur réels. Même avec l'aide d'un puissant logiciel de rendu 3D, les modèles de données complexes ou les objets 3D affichés sur des écrans 2D ne permettent toujours pas de fournir des relations spatiales ou des informations de profondeur correctement et efficacement. L'absence de véritable affichage 3D compromet souvent notre capacité à visualiser de manière fidèle les données de grandes dimensions fréquemment rencontrées dans les domaines de l'informatique scientifique avancée, de la conception assistée par ordinateur (CAO), de l'imagerie médicale et de nombreuses autres disciplines. Essentiellement, un appareil d'affichage 2D doit s'appuyer sur la capacité de l'homme à reconstituer une représentation 3D d'images. Malgré la capacité mentale impressionnante du système visuel humain, sa perception visuelle n’est pas fiable si certains indices de profondeur manquent.
</p>

</aside>
</section>
<section id="slide-orgf912b5d">
<h3 id="orgf912b5d">Notre approche</h3>

<div class="figure">
<p><img src="./figures/milgram.png" alt="milgram.png" />
</p>
<p><span class="figure-number">Figure&nbsp;4&nbsp;: </span>Le continuum de réalité mixte d'après <a href="https://search.ieice.org/bin/summary.php?id=e77-d_12_1321">Milgram et Kishino (1994)</a></p>
</div>
<ul>
<li>Percevoir le réel</li>
<li>Générer du contenu virtuel</li>
<li>Systèmes et dispositifs</li>

</ul>
</section>
</section>
<section>
<section id="slide-orgde225a4">
<h2 id="orgde225a4"><span class="section-number-2">2</span> Percevoir le réel</h2>
<div class="outline-text-2" id="text-2">
</div>
</section>
<section id="slide-org71b1497">
<h3 id="org71b1497">Reconnaissance des objets</h3>
<ul>
<li>Le terme "objet" correspond à une entité de l'espace réel 3D environnant.</li>
<li>Fonction ou nature précise</li>
<li>Reconnaissable par une étiquette verbale</li>
<li>Forme : informations structurales perceptibles grâce à un traitement visuel sensoriel</li>

</ul>

<div class="figure">
<p><img src="./figures/Atelier.jpg" alt="Atelier.jpg" />
</p>
<p><span class="figure-number">Figure&nbsp;5&nbsp;: </span>Atelier de Luthier (gravure encycl. D'Alembert)</p>
</div>
</section>
<section id="slide-orgc881906">
<h4 id="orgc881906">Distinction figure/fond</h4>
<ul>
<li>Structuration des éléments de la scène visuelle</li>
<li>Discrimination du fond</li>
<li>Perception des contours : couleur, luminosité texture</li>

</ul>

<div class="figure">
<p><img src="./figures/camouflage.jpg" alt="camouflage.jpg" />
</p>
</div>
<aside class="notes">
<p>
Le hibou présent sur la photo n'est pas immédiatement détectable : imitation couleur, texture. Il est difficile de distingue les contours.
</p>

</aside>
</section>
<section id="slide-orgc349478">
<h4 id="orgc349478">Organisation perceptive</h4>
<ul>
<li>Approche globaliste de la Gestalt (proximité, similitude, fermeture, destin commun)</li>
<li>Approche ecologique de Gisbon (1979, ensemble des informations disponibles de l'espace ambiant -réseau optique-, importance du mouvement)</li>

</ul>
<iframe width="560" height="315" src="./videos/motionperception.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section id="slide-orgedbe0d3">
<h4 id="orgedbe0d3">Perception des objets: modèles</h4>
<ul>
<li>modèles structuraux (\(2D\), \(2D^{1/2}\), 3D) basé sur une décomposition en  "primitives"</li>
<li>modèle d'alignement : comparaison avec une connaissance <i>a priori</i> de l'objet (action de la mémoire) + traitement bidirectionnel</li>

</ul>
</section>
<section id="slide-org289d785">
<h4 id="org289d785">Rôle des informations de surface</h4>
<ul>
<li>Couleur (contreversé)</li>
<li>Texture</li>

</ul>

<div class="figure">
<p><img src="./figures/camouflage.jpg" alt="camouflage.jpg" />
</p>
</div>
</section>
<section id="slide-org88376f4">
<h3 id="org88376f4">Perception du monde réel : "3D" ou profondeur</h3>
<aside class="notes">
<p>
Nous ne "voyons" pas le monde en 3D, mais notre système visuel, de l'oeil au cerveau, nous permet d'interpréter un ensemble d'indices qui nous renseigne sur notre environnement tri-dimensionnel. Quels sont ces indices ?
</p>

</aside>
<iframe width="560" height="315" src="./videos/3DOpticalIllusion.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section id="slide-orgf5a3fa0">
<h4 id="orgf5a3fa0">Problématique:</h4>
<ul>
<li>Quels indices ?</li>
<li>Quelle pondération ?</li>
<li>Comment nous représentons nous la 3D ?</li>
<li>Où la profondeur est-elle traitée dans le cerveau ?</li>
<li>la perception de profondeur: innée ou acquise ?</li>

</ul>
</section>
<section id="slide-orgc199acf">
<h4 id="orgc199acf">Les différents types d'indices :</h4>
<p>
Quelle conscience avons nous des mécanismes liés à la perception de la profondeur ?
Plusieurs types/sources d'information sont à notre disposition :
</p>
<ul>
<li>Binoculaires (disparité),</li>
<li>Indices occulomoteurs ?</li>
<li>mouvement (par exemple: parallaxe),</li>
<li>Indices picturaux</li>

</ul>
<p>
Attention cependant:
</p>
<ul>
<li>Existence d'un indice ne prouve pas son utilisation par le système visuel</li>
<li>Information complète à partir d'un recroisement des indices <b>et</b> d'hypothèses  <i>a priori</i></li>

</ul>
</section>
<section id="slide-org760ac06">
<h4 id="org760ac06">Disparité binoculaire</h4>

<div class="figure">
<p><img src="./figures/binocular_disparity.jpg" alt="binocular_disparity.jpg" />
</p>
<p><span class="figure-number">Figure&nbsp;8&nbsp;: </span><b>Disparité binoculaire</b> :  différence d'emplacement d'une caractéristique entre l'image de l'oeil droit et celle de l'oeil gauche <a href="https://www.cns.nyu.edu/~david/courses/perception/lecturenotes/depth/depth-size.html">www.cns.nyu.edu</a></p>
</div>
<aside class="notes">
<p>
La disparité binoculaire est définie comme la différence d'emplacement d'une caractéristique entre l'image de l'œil droit et celle de l'œil gauche. L’importance de la disparité dépend de la profondeur (c’est-à-dire de la différence de distance entre les deux objets et du point de fixation) et c’est donc une indication que le système visuel utilise pour déduire la profondeur. Wheatstone (1838) fut le premier à comprendre cela. Avant cela, les gens étaient confus, ils pensaient qu'avoir deux yeux posait un problème, car ils ne comprenaient pas comment on ne pouvait voir qu'une seule image lorsqu'on regardait le monde avec deux yeux. Wheatstone a correctement souligné l’avantage d’avoir deux yeux pour voir les objets en profondeur 3D. Cependant, la disparité dépend également de la distance par rapport à la fixation, de sorte que les disparités doivent être interprétées plus avant à l'aide d'estimations de la distance de fixation.
</p>

</aside>
</section>
<section >

<div class="figure">
<p><img src="./figures/binocular_disparity2.png" alt="binocular_disparity2.png" />
</p>
<p><span class="figure-number">Figure&nbsp;9&nbsp;: </span>Différents types de disparité</p>
</div>
<aside class="notes">
<p>
Il existe différents types de disparités:
</p>
<ul>
<li>croisée: devant le point de fixation</li>
<li>ou décroisée: derrière le point de fixation</li>

</ul>
<p>
Ce qui constitue la diplpopie; ou bien
</p>
<ul>
<li>absolue: dans l’espace allocentrique</li>
<li>ou relative: par rapport au point de fixation</li>

</ul>

</aside>
</section>
<section >
<p>
La disparité binoculaire représente un indice de profondeur relative. En effet, la profondeur ne peut être estimée que lorsque la distance de vue est connue:
\[disp = \beta - \alpha\ \approx{} d/v^2 \]
où \(d\) représente la profondeur et \(v\) la distance de vue.
<img src="./figures/binocular_disparity3.png" alt="binocular_disparity3.png" />
</p>
</section>
<section >
<aside class="notes">
<p>
L'<b>Horoptère</b> correspondra alors à la partie de l'espace dont tous les points sont succeptibles d'être vus simples simultanément alors que tous les autres points sont vus doubles (diplopie croisée ou décroisée). C'est une notion théorique qui est expérimentalement élargie par l'aire de Panum (horoptère empirique)
</p>

</aside>

<div class="figure">
<p><img src="./figures/vieth_muller.png" alt="vieth_muller.png" /> 
</p>
<p><span class="figure-number">Figure&nbsp;10&nbsp;: </span>Cercle de Vieth-Muller</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/panum.png" alt="panum.png" />
</p>
<p><span class="figure-number">Figure&nbsp;11&nbsp;: </span>Horoptère et aire de Panum</p>
</div>
</section>
<section >
<p>
Les stéréogrammes sont un moyen d'étude classique de la disparité binoculaire (expérience)
</p>

<div class="figure">
<p><img src="./figures/stereogram.png" alt="stereogram.png" />
</p>
<p><span class="figure-number">Figure&nbsp;12&nbsp;: </span>Autostéréogramme</p>
</div>
</section>
<section id="slide-orga7e76e8">
<h4 id="orga7e76e8">Parallaxe/mouvement</h4>
</section>
<section >
<ul class="org-ul">
<li><a id="org59aa564"></a>Mouvement<br />
<iframe width="560" height="315" src="./videos/kineticdeptheffect.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section >
</li>
<li><a id="orge114ca6"></a>Parallaxe<br />
<iframe width="560" height="315" src="./videos/parallaxe.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</li>
</ul>
</section>
<section id="slide-org65d54dd">
<h4 id="org65d54dd">Indices Occulomoteurs ?</h4>
<div class="outline-text-4" id="text-org65d54dd">
</div>
<ul class="org-ul">
<li><a id="org07fbbf1"></a>Vergence (ou convergence)<br />
<p>
<img src="./figures/convergence1.png" alt="convergence1.png" />
La convergence est le processus qui amène un point de l'espace aux centres des <i>fovea</i> gauche et droites.
</p>
<aside class="notes">
<p>
Cela réfère à la notion de centre d'intérêt.
</p>

</aside>
</li>
<li><a id="org5ac5f57"></a>Version<br />
<div class="figure">
<p><img src="./figures/version.png" alt="version.png" />
</p>
<p><span class="figure-number">Figure&nbsp;13&nbsp;: </span>Droite de version</p>
</div>
</li>
<li><a id="org63b54ca"></a>Complexité des mouvements oculaires<br />
<aside class="notes">
<p>
La convergence est une mesure de la différence angulaire entre les directions de vision des deux yeux du spectateur qui regarde simultanément le même point de fixation sur un objet 3D. Basé sur le principe de la triangulation, plus l'objet est proche, plus les yeux doivent converger. Plus largement, on parlera des mouvements oculaires. En effet, les mouvements réalisés par les yeux pour le suivi d'objets vont bien au delà des simples aspect de convergence ou de divergence.
</p>

</aside>
<p>
Les mouvements des yeux remplissent trois fonctions de base: 
</p>
<ol>
<li>la stabilisation de la rétine par rapport à l'image lorsque la tête bouge,</li>
<li>la fixation et la poursuite d'objets particuliers et</li>
<li>la convergence des axes visuels sur un objet particulier.</li>

</ol>
<p>
La stabilisation de l'image est obtenue par la réponse évoqué par des stimuli provenant des organes vestibulaires (canaux Howard 1986). Le VOR se produit même lorsque les yeux sont fermés, mais il est complété par le nystagmus optocinétique (OKN) évoqué par le mouvement de l'image de la scène visuelle (voir Howard 1993a).
Les mouvements oculaires pour la fixation et la poursuite volontaire d'objets particuliers ont évolué chez les animaux à fovéas. Les mouvements oculaires rapides et volontaires (saccades) permettent au regard de se déplacer rapidement d'une partie de la scène visuelle à une autre. Les mouvements de poursuite volontaires maintiennent l'image d'un objet en mouvement particulier sur la fovéa. 
</p>
</section>
<section >

<div class="figure">
<p><img src="./figures/eye_moov_table.png" alt="eye_moov_table.png" />
</p>
<p><span class="figure-number">Figure&nbsp;14&nbsp;: </span>Terminologie pour la vergence horizontale, verticale et en torsion.</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/eye_movement_medical_bookman.png" alt="eye_movement_medical_bookman.png" />
</p>
<p><span class="figure-number">Figure&nbsp;15&nbsp;: </span>Description médicale des mouvements des yeux.</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/cyclovergence.png" alt="cyclovergence.png" />
</p>
</div>
</section>
<section >
</li>
<li><a id="orgfc78caf"></a>Accomodation<br />
<p>
L'accommodation est la mesure de la tension musculaire utilisée pour ajuster la distance focale des yeux. En d'autres termes, il mesure la force exercée par le muscle oculaire pour que les lentilles changent de forme afin d'obtenir une image focalisée d'un objet 3D spécifique dans la scène, afin de focaliser les yeux sur l'objet.
</p>

<div class="figure">
<p><img src="./figures/eyesca.png" alt="eyesca.png" />
</p>
<p><span class="figure-number">Figure&nbsp;17&nbsp;: </span>Les muscles cilié permettent la déformation du cristallin et la modification de la focale de l'oeil (<a href="http://hyperphysics.phy-astr.gsu.edu">http://hyperphysics.phy-astr.gsu.edu/hbase/vision/eyescal2.html</a></p>
</div>
</section>
<section >

<div class="figure">
<p><img src="figures/accomodation1.png" alt="accomodation1.png" />
</p>
<p><span class="figure-number">Figure&nbsp;18&nbsp;: </span>Accomodation, a) Etat non accomodé. Les rayons lumineux émanent d'une cible vue à une distance de lecture, de sorte qu'ils divergent lorsqu'ils atteignent l'œil. À moins que le muscle ciliaire de l'œil ne se contracte, l'image apparaîtra derrière la rétine (et semblera floue). b) accomodation normale. Le muscle ciliaire de l'œil subit une contraction concentrique qui détache les connexions zonulaires au cristallin. Libéré des contraintes zonulaires, le cristallin prend sa forme convexe naturelle, augmente son pouvoir de réfraction et focalise la cible sur la rétine.</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/sysmat.gif" alt="sysmat.gif" />
</p>
<p><span class="figure-number">Figure&nbsp;19&nbsp;: </span>Selon ce modèle, le problème se ramène à la descritption d'un système épais (<a href="http://hyperphysics.phy-astr.gsu.edu">http://hyperphysics.phy-astr.gsu.edu/hbase/geoopt/sysmat.html#c1</a>)</p>
</div>
</section>
<section >
<aside class="notes">
<p>
L'accomodation, par le changement de focale génère des zones de flou dépendantes de la profondeur. Ces phénomènes de flou, facilite la mise en exergue de l'objet sur lequel se porte l'attention et facilite le réflexe de vergence par une diminution de la finesse des textures en arrière plan.
</p>

</aside>
<p>
<img src="./figures/Amelie.jpg" alt="Amelie.jpg" />
L'accomodation représente-t-elle vraiment un indice ? Ne serait-ce pas plutôt le flou ? Il s'agit dans ce cas d'un indice pictural.
</p>
</li>
</ul>
</section>
<section id="slide-org300dc65">
<h3 id="org300dc65">Indices picturaux</h3>
<p>
Indices de profondeur que l'on peut retrouver dans des oeuvres picturales.
</p>

<div class="figure">
<p><img src="./figures/picturalindices.jpg" alt="picturalindices.jpg" />
</p>
<p><span class="figure-number">Figure&nbsp;20&nbsp;: </span><i>Paris par temps de pluie</i>, Gustave Caillebotte (1848-1894).</p>
</div>
</section>
<section id="slide-orgfe07f52">
<h4 id="orgfe07f52">Perspective</h4>
<div class="outline-text-4" id="text-orgfe07f52">
</div>
<ul class="org-ul">
<li><a id="org77ddd03"></a>Perspective de texture<br />
<div class="figure">
<p><img src="./figures/textureperspective.png" alt="textureperspective.png" />
</p>
<p><span class="figure-number">Figure&nbsp;21&nbsp;: </span>Gradients de texture</p>
</div>
<ul>
<li>Taille</li>
<li>Densité</li>
<li>Compression (ratio d'aspect)</li>

</ul>
</section>
<section >

<div class="figure">
<p><img src="./figures/indices1.png" alt="indices1.png" />
</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/indices2.png" alt="indices2.png" />
</p>
</div>
</li>
<li><a id="orgcd38386"></a>Courbure<br />
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/courbure1.png" alt="courbure1.png" /></td>
<td class="org-left"><img src="./figures/courbure2.png" alt="courbure2.png" /></td>
</tr>
</tbody>
</table>
</section>
<section >
</li>
<li><a id="org1308ca9"></a>Interposition (Occlusion)<br />
<div class="figure">
<p><img src="./figures/occlusion1.png" alt="occlusion1.png" />
</p>
<p><span class="figure-number">Figure&nbsp;24&nbsp;: </span>Triangle de Kaniza (1976)</p>
</div>
</section>
<section >
<p>
<img src="./figures/occlusion2.png" alt="occlusion2.png" />
Notion de <i>"loi de syntaxe pour les formes"</i>
</p>
</li>
</ul>
</section>
<section id="slide-orge24d1af">
<h4 id="orge24d1af">Ombres et ombrages</h4>

<div class="figure">
<p><img src="./figures/ombres.png" alt="ombres.png" />
</p>
<p><span class="figure-number">Figure&nbsp;25&nbsp;: </span>Importance des ombrages dans la perception</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/ombres2.png" alt="ombres2.png" />
</p>
</div>
<ul class="org-ul">
<li><a id="orge17a3ca"></a>Direction d'illumination<br />
<div class="figure">
<p><img src="./figures/ombres3.png" alt="ombres3.png" />
</p>
<p><span class="figure-number">Figure&nbsp;27&nbsp;: </span>une direction d'illumination cohérente: le pattern d'ombrage donne une sensation de profondeur</p>
</div>
</li>
</ul>
</section>
<section id="slide-org4e57c2e">
<h3 id="org4e57c2e">Discussion</h3>
<ul>
<li>Indices prévalent ?</li>
<li>Combinaison ?</li>
<li>Pondération ?</li>

</ul>
</section>
</section>
<section>
<section id="slide-org033d37e">
<h2 id="org033d37e"><span class="section-number-2">3</span> Générer du contenu virtuel (en 3D)</h2>
<p>
Réalité mixte: afficher un contenu
</p>
<ul>
<li>Origine du contenu : Bases de données, Web, capteurs &#x2026;</li>
<li>Choix de représentation: <i>"The visual display of quantitative information"</i> E. Tufte</li>
<li><b>Génération du contenu 3D</b></li>

</ul>
</section>
<section id="slide-org7d502f6">
<h3 id="org7d502f6"><i>Computer Graphics</i></h3>
<p>
Basiquement: convertir une description de scène 3D en scène 2D, soit générer une image à partir :
</p>
<ul>
<li>d'une ou plusieurs cameras virtuelles</li>
<li>d'objets modélisés en 3D</li>
<li>de sources de lumière</li>

</ul>
<p>
Il faut donc prendre en compte :
</p>
<ul>
<li>Géométrie 3D et transformations</li>
<li>Gestion de la lumière (Simulation radiométrique avancée)</li>
<li>Propriétés des matériaux (Apparence)</li>

</ul>
</section>
<section id="slide-orga540968">
<h3 id="orga540968">Techniques</h3>
<ul>
<li>Rasterisation</li>
<li>tracé de rayon (Simulation radiométrique avancée)</li>

</ul>
</section>
<section id="slide-org3ea9faa">
<h3 id="org3ea9faa">Rasterisation</h3>
<ul>
<li>Sommets (vertices) et normales</li>
<li>Triangles (groupe de 3 sommets). 1 modèle 3D haute résolution: 1 million à 1 milliard de sommets).</li>

</ul>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="figures/monkey_wire.png" alt="monkey_wire.png" /></td>
<td class="org-left"><img src="figures/monkey_material.png" alt="monkey_material.png" /></td>
</tr>
</tbody>
</table>
</section>
<section id="slide-org31cc7b1">
<h3 id="org31cc7b1">Le Pipeline graphique</h3>
<ol>
<li>Géometrie et transformations</li>
<li>Caméras et vues</li>
<li>Ombres et lumières</li>
<li>Rasterisation</li>
<li>Texture</li>

</ol>

<div class="figure">
<p><img src="figures/gpipeline.png" alt="gpipeline.png" />
</p>
</div>
</section>
<section id="slide-orgd6b84b7">
<h3 id="orgd6b84b7">Coté hardware</h3>
<div class="outline-text-3" id="text-orgd6b84b7">
</div>
</section>
<section id="slide-orgbdf6903">
<h4 id="orgbdf6903">Histoire</h4>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/gengine1.png" alt="gengine1.png" /></td>
<td class="org-left"><img src="./figures/gengine2.png" alt="gengine2.png" /></td>
</tr>
</tbody>
</table>
<aside class="notes">
<p>
Les implémentations matérielles du pipeline de géométrie ont été introduites dans les premiers systèmes d'image Evans &amp; Sutherland, mais ont peut-être reçu une reconnaissance plus large lorsqu'elles ont été ultérieurement appliquées à la vaste gamme de produits de systèmes graphiques introduits par Silicon Graphics (SGI). Initialement, le matériel de géométrie SGI a effectué des transformations de visualisation d'espace écran à espace écran simple avec tous les éclairages et ombres gérés par une étape de mise en œuvre matérielle distincte. Par la suite, des applications beaucoup plus performantes, telles que RealityEngine, ont commencé à être appliquées pour effectuer également une partie du support de rendu.
Plus récemment, datant peut-être de la fin des années 90, le support matériel nécessaire à la manipulation et au rendu de scènes assez complexes est devenu accessible au marché grand public. Des sociétés telles que Nvidia et AMD Graphics (anciennement ATI) sont actuellement deux des principaux représentants des fournisseurs de matériel dans cet espace. La gamme de cartes graphiques GeForce de Nvidia a été la première à prendre en charge le traitement intégral de la géométrie matérielle OpenGL et Direct3D sur le marché des ordinateurs grand public, tandis que certains produits antérieurs, tels que Rendition Verite, intégraient le traitement géométrique matériel via des interfaces de programmation propriétaires. Dans l’ensemble, les accélérateurs graphiques antérieurs de 3Dfx, Matrox et d’autres utilisaient le processeur pour le traitement de la géométrie.
Cette matière fait partie des fondements techniques de l’infographie moderne et constitue un sujet complet enseigné aux niveaux du premier et du second cycle dans le cadre d’une formation en informatique.
</p>

</aside>
</section>
<section >

<div class="figure">
<p><img src="./figures/gengine3.png" alt="gengine3.png" />
</p>
</div>
</section>
<section id="slide-orgedd6533">
<h4 id="orgedd6533">Evolution</h4>
<ul>
<li>Station graphiques monolithiques des années 80 remplacées par des modules GPU<sup><a id="fnr.1" class="footref" href="#fn.1">1</a></sup>; (NVIDIA, AMD, Intel)</li>
<li>Les premières versions de ces GPU implémentaient le pipeline de rendu à fonctions fixes <i>in silico</i></li>
<li>Les GPU sont devenus programmables à partir de la fin des années 90 (en 2001, Nvidia GeForce 3 = premiers shaders programmables)</li>
<li>Aujourd'hui GPU = processeurs programmables (par exemple, OpenGL, CUDA, OpenCL)</li>

</ul>

<div class="figure">
<p><img src="figures/Structure-of-NVidia-GTX690-GPU.png" alt="Structure-of-NVidia-GTX690-GPU.png" />
</p>
<p><span class="figure-number">Figure&nbsp;30&nbsp;: </span>Structure of NVidia GTX690 GPU card, 3072 CUDA cores, NVidia <a href="https://www.spiedigitallibrary.org/journals/Journal-of-Biomedical-Optics/volume-18/issue-8/086001/Real-time-photoacoustic-and-ultrasound-dual-modality-imaging-system-facilitated/10.1117/1.JBO.18.8.086001.full#f1">source</a></p>
</div>
</section>
<section id="slide-orgbced283">
<h4 id="orgbced283">OpenGL</h4>
<p>
<b>OpenGL</b> (<b>Open</b> *G*raphics *L*ibrary)
</p>
<ul>
<li>Silicon graphics 1992</li>
<li>Ensemble normalisé de fonctions pour le calcul d'images 2D et 3D</li>
<li>Multi-plateforme du jeu vidéo à la CAO</li>
<li>Rivalise avec Direct3D</li>
<li>version embarquée</li>

</ul>

<div class="figure">
<p><img src="figures/Pipeline_OpenGL.svg.png" alt="Pipeline_OpenGL.svg.png" />
</p>
<p><span class="figure-number">Figure&nbsp;31&nbsp;: </span>Un traitement de pipeline 3D (Graphics Pipeline Process). (source wikipédia)</p>
</div>
</section>
<section id="slide-orgbfb73ed">
<h4 id="orgbfb73ed">WebGL &amp; Three.js</h4>
<p>
<a href="http://davidscottlyons.com/threejs-intro">http://davidscottlyons.com/threejs-intro</a>
</p>
</section>
<section id="slide-org7766b00">
<h3 id="org7766b00">Le Pipeline graphique</h3>
<p>
<img src="figures/graphic_pipeline.png" alt="graphic_pipeline.png" />
Étapes principales suivantes:
</p>
<ul>
<li>Traitement des sommets: Traiter et transformer des sommets individuels.</li>
<li>Rastérisation: Conversion de chaque primitive (sommets connectés) en un ensemble de fragments (position, couleur, normale et texture).</li>
<li>Traitement de fragments (individuels.)</li>
<li>Fusion de sorties: combinaison des fragments de toutes les primitives (dans un espace 3D) en pixel couleur 2D pour l'affichage.</li>

</ul>
<aside class="notes">
<p>
Dans les GPU modernes, les étapes de traitement des sommets et des fragments sont programmables. Vous pouvez écrire des programmes, appelés vertex shader et fragment shader, pour effectuer votre transformation personnalisée pour les sommets et les fragments. Les programmes de shader sont écrits dans des langages de haut niveau de type C, tels que GLSL (langage de masquage OpenGL), HLSL (langage de masquage de haut niveau pour Microsoft Direct3D) ou Cg (C pour Graphics by NVIDIA).
D'autre part, les étapes de rastérisation et de fusion des sorties ne sont pas programmables, mais configurables via des commandes de configuration envoyées au GPU.
</p>

</aside>
</section>
<section id="slide-org2e12761">
<h4 id="org2e12761">Géométrie 3D: une entrée du pipeline Graphique</h4>
<div class="outline-text-4" id="text-org2e12761">
</div>
<ul class="org-ul">
<li><a id="org05adf12"></a>Localiser les sommets<br />
<div class="figure">
<p><img src="figures/Graphics3D_system.png" alt="Graphics3D_system.png" />
</p>
<p><span class="figure-number">Figure&nbsp;32&nbsp;: </span>Repère 3D direct (main droite)<a href="https://www.ntu.edu.sg/home/ehchua/programming/opengl/CG_BasicsTheory.html">source : https://www.ntu.edu.sg/</a></p>
</div>
</section>
<section >
</li>
<li><a id="org5f42dba"></a>Primitives<br />
<p>
Les sommets permettent de créer des primitives. OpenGL 3classes de primitives: Points, Segments, polygones, soient 10 primitives en tout:
</p>

<div class="figure">
<p><img src="figures/GL_GeometricPrimitives.png" alt="GL_GeometricPrimitives.png" />
</p>
<p><span class="figure-number">Figure&nbsp;33&nbsp;: </span>Primitives OpenGL (main droite)<a href="https://www.ntu.edu.sg/home/ehchua/programming/opengl/CG_BasicsTheory.html">source : https://www.ntu.edu.sg/</a></p>
</div>
</section>
<section >
</li>
<li><a id="org5b12853"></a>Pixels ou fragments ?<br />
<div class="figure">
<p><img src="./figures/Graphics3D_VertexFragment.png" alt="Graphics3D_VertexFragment.png" />
</p>
<p><span class="figure-number">Figure&nbsp;34&nbsp;: </span>Des sommets aux pixels (main droite)<a href="https://www.ntu.edu.sg/home/ehchua/programming/opengl/CG_BasicsTheory.html">source : https://www.ntu.edu.sg/</a></p>
</div>
<ul>
<li>Pixels = points du système d'affichage (2D, résolution du dispositif, RGB)</li>
<li>Pipeline graphique: calculer les pixels à afficher en partant des primitives</li>

</ul>
<p>
\(\rightarrow\) Carte de fragments par balayage de la trame des primitives et interpolation.
</p>
<ul>
<li>Fragments 3D (x,y) des pixels et z=profondeur (occlusion, alpha)</li>
<li>Calcul des fragments programmalble dans les GPU modernes</li>

</ul>
</li>
</ul>
</section>
<section id="slide-org1ff62e9">
<h4 id="org1ff62e9">Traitement des sommets</h4>
<p>
Produire une scène 3D à afficher sur un écran 2D \(\leftrightarrow\) Prendre une photo :
</p>
<ol>
<li>Placer les objets dans la scène</li>
<li>Placer la caméra et l'orienter</li>
<li>Choisir l'objectif (grand angle, telescopique, &#x2026;), zoomer et faire la mise au point</li>
<li>Prendre la photo sur un support/capteur 2D</li>

</ol>

<div class="figure">
<p><img src="./figures/Graphics3D_CoordTransform.png" alt="Graphics3D_CoordTransform.png" />
</p>
<p><span class="figure-number">Figure&nbsp;35&nbsp;: </span><a href="https://www.ntu.edu.sg/home/ehchua/programming/opengl/CG_BasicsTheory.html">source : https://www.ntu.edu.sg/</a></p>
</div>
</section>
<section id="slide-org7564b8c">
<h4 id="org7564b8c">Transformations et repères</h4>
<p>
<img src="./figures/Graphics3D_LocalSpace.png" alt="Graphics3D_LocalSpace.png" />
Des repère locaux au repère "scène" \(\rightarrow\) transformations affines : translation, rotation, mise à l'échelle,&#x2026;
Sous OpenGL un sommet \(V\) est repéré par un vecteur \(3x1\)
\[
\mathbf{V}=\begin{pmatrix}x\\y\\z\end{pmatrix}
\]
</p>
</section>
<section >
<ul class="org-ul">
<li><a id="orgdc55c15"></a>Mise à l'échelle<br />
<p>
Pour une mise à l'échelle on appliquera la transformation \(\mathbf{S}\) définie par:
\[
\mathbf{S}(\alpha{}_1,\alpha{}_2,\alpha{}_3)=\begin{pmatrix}
\alpha{}_x&0&0\\
0&\alpha{}_y&0\\
0&0&\alpha{}_z
\end{pmatrix}
\]
soit 
\[
\mathbf{V'}=\mathbf{S}\mathbf{V}=\begin{pmatrix}
\alpha{}_x&0&0\\
0&\alpha{}_y&0\\
0&0&\alpha{}_z
\end{pmatrix}.\begin{pmatrix}x\\y\\z\end{pmatrix}=\begin{pmatrix}
\alpha{}_xx\\
\alpha{}_yy\\
\alpha{}_zz
\end{pmatrix}
\]
</p>
</section>
<section >
</li>
<li><a id="org03b3ceb"></a>Rotation<br />
<p>
     Pour les Rotations autour des axes :
\[\mathbf{R}_z(\theta)=\begin{pmatrix}
\cos\theta&-\sin\theta&0\\
\sin\theta&\cos\theta&0\\
0&0&1\end{pmatrix}, 
\mathbf{R}_x(\theta)=\begin{pmatrix}
1&0&0\\
0&\cos\theta&-\sin\theta\\
0&\sin\theta&\cos\theta\end{pmatrix},\]
et enfin
\[\mathbf{R}_y(\theta)=\begin{pmatrix}
\cos\theta&0&\sin\theta\\
0&1&0\\
-\sin\theta&0&\cos\theta\end{pmatrix}\]
Une rotation autour d'un autre axe pourra se calculer à partir de la composition de plusieurs roation \(\rightarrow\) transformée d'Euler
</p>
</section>
<section >
</li>
<li><a id="orgf3663d6"></a>Translations<br />
<p>
Les translations ne sont pas des transformées linéaires, mais peuvent être modélisée par une addition de vecteurs :
</p>

<p>
\[\begin{pmatrix}x\\y\\z\end{pmatrix}+\begin{pmatrix}d_x\\d_y\\d_z\end{pmatrix}=\begin{pmatrix}x+d_x\\y+d_y\\z+d_z\end{pmatrix}\]
</p>

<p>
Il est néanmoins possible de présenter la translation sous la forme
\[\mathbf{T}(d)\mathbf{V}=\begin{pmatrix}
1&0&0&d_x\\
0&1&0&d_y\\
0&0&1&d_z\\
0&0&0&1
\end{pmatrix}
\begin{pmatrix}
x\\
y\\
z\\
1\end{pmatrix}=
\begin{pmatrix}
x+d_x\\
y+d_y\\
z+d_z\\
1\end{pmatrix}\]
</p>
</section>
<section >
</li>
<li><a id="org415a549"></a>Rappels :<br />
<p>
<img src="./figures/Graphics3D_transforms.png" alt="Graphics3D_transforms.png" />
<img src="./figures/commut.png" alt="commut.png" />
</p>
</section>
<section >
</li>
<li><a id="org3de48b3"></a>Compositions<br />
<p>
Une série de transformations \((\mathbf{T_1},\mathbf{T_2},\mathbf{T_3},...)\), appliquées à un vecteur position \(\mathbf{V}\) peut être calculée par multiplication matricielles: \(\mathbf{V}'=...\mathbf{T_3}\mathbf{T_2}\mathbf{T_1}\mathbf{V}\), en suivant les règle d'associativité du calcul matriciel.
</p>
</li>
</ul>
</section>
<section id="slide-org86db5df">
<h4 id="org86db5df">Vues et projections</h4>
<p>
<img src="figures/Graphics3D_CameraSpace.png" alt="Graphics3D_CameraSpace.png" />
Dans les graphiques 3D, nous positionnons la caméra sur l'espace mondial en spécifiant trois paramètres de vue: EYE, AT et UP
</p>
<ul>
<li>Le point \(\mathbf{E}(e_x, e_y, e_z)\) définit l'emplacement de la caméra.</li>
<li>Le vecteur \(\mathbf{A}(a_x, a_y, a_z)\) indique la direction dans laquelle la caméra vise, généralement vers le centre du monde ou un objet.</li>
<li>Le vecteur \(\mathbf{U}(u_x, u_y, u_z)\) indique l'orientation de la caméra vers le haut (coïncide généralement avec l'axe \(y\)). \(\mathbf{U}\) est en principe orthogonal à \(\mathbf{A}\), mais pas nécessairement.</li>

</ul>
<p>
Les 9 valeurs produisent en réalité 6 degrés de liberté pour positionner et orienter la caméra (3 d'entre elles ne sont pas indépendantes).
</p>
</section>
<section id="slide-orgde953ef">
<h4 id="orgde953ef">De la scène 3D à l'espace caméra (2D)</h4>
<p>
Dans l'espace 3D décrivant la scène, la caméra est située aux coordonnées \((e_x,e_y,e_z)\) et possède son propre repère \((x_C,y_C,z_C)\). Afin de calculer l'image projettée sur la caméra, il convient de se placer dans le repère de celle ci.
Ceci se fait grâce à la combinaison d'une translation \(\mathbf{T}\) et d'une rotation \(\mathbf{R}\) qui donne une matrice de vue \(\mathbf{M_v}\) définie comme suit :
\[\mathbf{M_v}=\mathbf{R}\mathbf{T}=\begin{pmatrix}
x^c_x&x^c_y&x^c_z&0\\
y^c_x&y^c_y&y^c_z&0\\
z^c_x&z^c_y&z^c_z&0\\
0&0&0&1\end{pmatrix}\begin{pmatrix}
1&0&0&-e_x\\
0&1&0&-e_y\\
0&0&1&-e_z\\
0&0&0&1\end{pmatrix}
\begin{pmatrix}
x^c_x&x^c_y&x^c_z&-e_x\\
y^c_x&y^c_y&y^c_z&-e_y\\
z^c_x&z^c_y&z^c_z&-e_z\\
0&0&0&1
\end{pmatrix}\]
</p>
</section>
<section >
<ul class="org-ul">
<li><a id="orgf651dcf"></a>Transformée modèle-vue<br />
<p>
Déplacer un objet dans l'espace d'une caméra fixe \(\leftrightarrow\) Déplacer la caméra avec objet fixe
Vrai! mais attention
</p>
</li>
</ul>
</section>
<section id="slide-org40822ee">
<h4 id="org40822ee">Projections</h4>
<p>
Il existe deux types de projection pour calculer l'image obtenue :
</p>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left">1. Projection perspective</td>
<td class="org-left">2. Projection Orthogonale</td>
</tr>

<tr>
<td class="org-left"><img src="./figures/Graphics3D_CameraPerspective.png" alt="Graphics3D_CameraPerspective.png" /></td>
<td class="org-left"><img src="./figures/Graphics3D_Orthographic.png" alt="Graphics3D_Orthographic.png" /></td>
</tr>
</tbody>
</table>
</section>
<section >
<ul class="org-ul">
<li><a id="org99054fd"></a>Projection perspective<br />
<p>
<img src="./figures/Graphics3D_CameraPerspective.png" alt="Graphics3D_CameraPerspective.png" /> 
Le champ de vision de la caméra est limité à pyramide tronquée définie par quatre paramètres :
</p>
<ol>
<li>Fovy: angle de vue vertical total en degrés.</li>
<li>Aspect: le rapport largeur / hauteur. Pour un z particulier, nous pouvons obtenir la hauteur du fovy, puis la largeur de l'aspect.</li>
<li>zNear; plan proche.</li>
<li>zFar: plan lointain</li>

</ol>
<p>
L'espace caméra (xc, yc, zc) est renommé en (x, y, z) pour plus de commodité.
</p>
</section>
<section >
<p>
On obtient alors la matrice de projection suivante :
<img src="./figures/Graphics3D_ProjectionMatrix.png" alt="Graphics3D_ProjectionMatrix.png" />
<img src="./figures/Graphics3D_ClipVolume.png" alt="Graphics3D_ClipVolume.png" />
</p>
</section>
<section >
</li>
<li><a id="orgcded6ff"></a>Projection orthographique<br />
<p>
<img src="./figures/Graphics3D_Orthographic.png" alt="Graphics3D_Orthographic.png" />
\[P={\begin{bmatrix}
{\frac {2}{right-left}}&0&0&-{\frac {right+left}{right-left}}\\
0&{\fac {2}{top-bottom}}&0&-{\frac {top+bottom}{top-bottom}}\\
0&0&{\frac {-2}{far-near}}&-{\frac {far+near}{far-near}}\\
0&0&0&1\end{bmatrix}}\]
</p>
</section>
<section >
<p>
En résumé&#x2026;
<img src="figures/ortho_persp.png" alt="ortho_persp.png" />
</p>
</li>
</ul>
</section>
<section id="slide-org67c70b9">
<h4 id="org67c70b9">Rastérisation (tramage)</h4>

<div class="figure">
<p><img src="./figures/Graphics3D_Rasterization.png" alt="Graphics3D_Rasterization.png" />
</p>
</div>
<ul>
<li>Sommets représentés par une valeur flottante \(\rightarrow\) pas nécessairement alignés sur la grille de pixels de l'affichage.</li>
<li>Relation entre les sommets, en terme de primitives, n'est également pas prise en compte.</li>
<li>Chaque primitive analysée par raster \(\rightarrow\) ensemble de fragments compris dans la primitive.</li>

</ul>
<p>
Fragments \(\leftrightarrow\) pixels 3D, alignés avec la grille de pixels. 
Pixels 2D : position et valeur de couleur RVB. 
Fragments 3D\(\rightarrow\) même ensemble d'attributs que les sommets: position, couleur, normale, texture.
</p>
</section>
<section >
<ul class="org-ul">
<li><a id="org7511923"></a>Fenêtrage (viewport transform)<br />
<p>
Première étape de la rastérisation
<img src="./figures/Graphics3D_Viewport.png" alt="Graphics3D_Viewport.png" />
<img src="./figures/Graphics3D_ViewportMatrix.png" alt="Graphics3D_ViewportMatrix.png" />
</p>
</section>
<section >
</li>
<li><a id="org8525319"></a>Visibilité des polygones (back-face culling)<br />
<div class="figure">
<p><img src="./figures/backfaceC.jpg" alt="backfaceC.jpg" />
</p>
</div>
<ul>
<li>Suppression des primitives de face arrière qui ne font pas face à la caméra.</li>
<li>La face arrière peut être estimée en fonction du vecteur normal et du vecteur reliant la surface et la caméra.</li>
<li>La suppression de face arrière pas activée si l'objet est transparent et que la fusion alpha est activée.</li>

</ul>

</section>
<section >
</li>
<li><a id="orgddb4f21"></a>Traitement des fragments<br />
<p>
Après la rastérisation\(\rightarrow\) ensemble de fragments pour chaque primitive. 
Fragment =  position qui est alignée sur la grille de pixels :
</p>
<ul>
<li>profondeur</li>
<li>une couleur</li>
<li>coordonnées normales</li>
<li>texture</li>

</ul>
<p>
\(\rightarrow\) interpolation à partir des sommets.
</p>

<p>
Les opérations impliquées dans le processeur de fragments sont:
</p>
<ul>
<li>texturing</li>
<li>combinaisons de couleurs et calcul de brouilalrs</li>
<li>occlusion, alpha, clipping etc&#x2026;</li>
<li>fusion, dithering, opérations logiques, masquage de bits.</li>

</ul>
</li>
</ul>
</section>
<section id="slide-orgd242fab">
<h3 id="orgd242fab">Rappel</h3>

<div class="figure">
<p><img src="./figures/rappel_CG1.png" alt="rappel_CG1.png" />
</p>
</div>
</section>
</section>
<section>
<section id="slide-org7e2d2d1">
<h2 id="org7e2d2d1"><span class="section-number-2">4</span> Systèmes d'affichage</h2>
<p>
Le véritable affichage 3D est le «graal» de la technologie de visualisation capable de fournir des outils efficaces pour visualiser et comprendre des données et des objets complexes de grande dimension. 
Qu'est-ce qu'un écran 3D «parfait»? Un affichage 3D parfait devrait fonctionner comme une "fenêtre sur le monde" à travers laquelle les spectateurs peuvent percevoir la même scène 3D comme si l'écran d'affichage 3D était une "fenêtre" transparente pour les objets du monde réel. 
</p>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="figures/geng-002.png" alt="geng-002.png" /></td>
<td class="org-left"><img src="figures/geng-003.png" alt="geng-003.png" /></td>
</tr>
</tbody>
</table>
</section>
<section id="slide-orgd268303">
<h3 id="orgd268303">Fonction Plénoptique</h3>
<p>
En 1991, Adelson et Bergen ont développé le concept de fonction plénoptique (Fig. 6) afin de décrire les types de stimulation visuelle pouvant être perçus par les systèmes de vision. La fonction plénoptique est une description de la lumière dans l’espace et dans le temps basée sur les observateurs. La formulation la plus générale d'Adelson de la fonction plénoptique \(P\) dépend de plusieurs variables:
</p>
<ul>
<li>la position dans l'espace à partir de laquelle la lumière est vue ou analysée, décrite par une coordonnée 3D \((x; y; z)\);</li>
<li>la direction à partir de laquelle la lumière s’approche de ce point de vue, définie par deux angles \((\phi;\theta)\);</li>
<li>la longueur d'onde de la lumière \(\lambda\) et</li>
<li>l'instant de l'observation \(t\).</li>

</ul>

<div class="figure">
<p><img src="figures/geng_fig6.png" alt="geng_fig6.png" />
</p>
</div>

<p>
La fonction plénoptique peut donc être écrite de la manière suivante:
\[
P (x,y,z,\phi,\theta,\lambda,t)
\]
</p>

</section>
<section id="slide-orge2d72aa">
<h3 id="orge2d72aa">Du pixel 2D au Voxel 3D (ou hogel)</h3>
<p>
Les affichages classiques (2D) ne permettent que de gérer les paramètres de position, de couleur ou de temporalité. il manque la composante directionnelle que l'on doit retrouver dans les affichages 3D.
<img src="./figures/geng_fig7.png" alt="geng_fig7.png" />
</p>
</section>
<section id="slide-orgc4eb9fa">
<h3 id="orgc4eb9fa">Une classification :</h3>
<ul>
<li>Stéréoscopie binoculaire  (anaglyphes, polarisation, multiplexée en temps, HMD)</li>
<li>Affichages auto-stéréoscopiques
<ul>
<li>multivue par occlusion, par réfraction, réflection &#x2026;</li>
<li>Volumétriques</li>
<li>Affichages holographiques</li>

</ul></li>

</ul>
</section>
<section id="slide-org977013e">
<h3 id="org977013e">Affichage stéréoscopique (deux vues, lunettes)</h3>
<p>
Nous passons maintenant en revue un certain nombre de techniques d’affichage stéréoscopique binoculaire :
</p>
<ul>
<li>Port de lunettes spéciales</li>
<li>Description du contenu 3D (calculer des projections de perspective individuelles pour chaque position de l'œil).</li>

</ul>

<p>
Séparation des canaux stéréo en fonction des caractéristiques:
</p>
<ul>
<li>spectrales,</li>
<li>de polarisation,</li>
<li>temporelles</li>
<li>&#x2026;</li>

</ul>

<p>
Classification :
</p>
<ul>
<li>Entrelacement de couleur (Anaglyphe)</li>
<li>Entrelacement polarisation</li>
<li>Multiplexage temporel</li>
<li>HMD</li>

</ul>
</section>
<section id="slide-org005df6b">
<h4 id="org005df6b">Couleur entrelacée (anaglyphe)</h4>
<ul>
<li>Les images des yeux gauche et droit sont filtrées avec des couleurs presque complémentaires (rouge et vert, rouge et cyan, ou vert et magenta),</li>
<li>L'observateur porte des lunettes de filtre de couleur respectives pour la séparation.</li>

</ul>

<div class="figure">
<p><img src="./figures/anaglyph.png" alt="anaglyph.png" />
</p>
</div>
<iframe width="560" height="256" src="./videos/ColorCode3D.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section id="slide-org196cbc4">
<h4 id="org196cbc4">Affichage stéréoscopique à entrelacement de polarisation</h4>
<p>
Très bien adaptées à la projection vidéo (polarisation des affichage LCD)
<img src="./figures/Principle-of-micro-polarization-Image-courtesy-of-Zalman-Tech-Co-Ltd.png" alt="Principle-of-micro-polarization-Image-courtesy-of-Zalman-Tech-Co-Ltd.png" />
</p>
<aside class="notes">

<div class="figure">
<p><img src="./figures/geng_polar.png" alt="geng_polar.png" />
</p>
</div>

</aside>
</section>
<section id="slide-org4327279">
<h4 id="org4327279">Affichage stéréoscopique multiplexé dans le temps</h4>
<p>
 Le système visuel humain est capable de fusionner les composants d'une paire stéréo sur un laps de temps pouvant atteindre 50 ms (persistance rétinienne).
Les vues à gauche et à droite sont montrées en alternance rapide et synchronisées avec un obturateur actif à cristaux liquides, qui s'ouvre tour à  tour pour un œil tout en bouchant l'autre œil. 
Le système d'obturateur est généralement intégré à une paire de lunettes et contrôlé via une liaison infrarouge. Lorsque l'observateur s'éloigne de l'écran, les deux obturateurs sont activés pour être transparents. Les écrans multiplexés dans le temps sont entièrement compatibles pour une présentation 2D. Les deux images constitutives sont reproduites à la résolution spatiale complète par un seul moniteur ou un seul projecteur, évitant ainsi les différences de géométrie et de couleur. 
<img src="./figures/timeMux_geng.png" alt="timeMux_geng.png" />
</p>
</section>
<section id="slide-org5a54e85">
<h4 id="org5a54e85">Affichages HMD</h4>
<p>
<img src="./figures/geng_hmd.png" alt="geng_hmd.png" />
On distingue des dispositifs RA et RV.
</p>
<ul>
<li>Maturité RV</li>
<li>RA : problèmes liées à FOV, Eyebox, Résolution, luminance</li>

</ul>
<p>
(cf. cours Systèmes à vision directe)
</p>
</section>
<section id="slide-org78398c1">
<h4 id="org78398c1">Conflit Vergence-Accomodation ?</h4>
<p>
Il s'agit du conflit entre les indices de disparités binoculaires et les indices d'accommodation (musculaires ?).
Discussion
</p>

<div class="figure">
<p><img src="figures/geng_VAC.png" alt="geng_VAC.png" />
</p>
<p><span class="figure-number">Figure&nbsp;42&nbsp;: </span>Figure 15 Illustration du conflit d'accommodation / de convergence dans les affichages stéréoscopiques: convergence et distance focale avec des stimuli réels et des stimuli présentés sur des affichages 3D conventionnels.</p>
</div>

</section>
<section id="slide-org47953b3">
<h3 id="org47953b3">Affichage 3D autostéréoscopique - Techniques d’affichage 3D multivue</h3>
<div class="outline-text-3" id="text-org47953b3">
</div>
</section>
<section id="slide-org5c6bd08">
<h4 id="org5c6bd08">Approximer le champ lumineux à l'aide de plusieurs vues</h4>
<p>
\[
P (x,y,z,\phi,\theta,\lambda,t)
\]
 La fonction plénoptique décrite à la section décrit la luminance énergétique de tous les rayons lumineux dans un espace 3D \(\rightarrow\) afficher une scène 
</p>
<ul>
<li>à partir de n’importe quelle position de visualisation possible,</li>
<li>sous n’importe quel angle de vue et</li>
<li>à n’importe quel moment dans le temps.</li>

</ul>
<p>
De manière équivalente, on peut utiliser un champ lumineux pour représenter la luminance énergétique en un point situé dans une direction donnée.
 Formellement, le champ lumineux proposé par Levoy et Hanrahan<sup><a id="fnr.2" class="footref" href="#fn.2">2</a></sup> caractérise le rayonnement qui traverse tous les points dans toutes les directions possibles. Pour une longueur d'onde et un temps donnés, on peut représenter un champ lumineux statique sous la forme d'une fonction scalaire à cinq dimensions (5D) 
\[L (x; y; z; \theta; \phi)\] 
qui donne la luminosité en fonction de l'emplacement \((x; y ; z)\) dans l’espace 3D et dans la direction \((\theta; \phi)\).
Dans un espace 3D libre, les valeurs de luminance énergétique des rayons lumineux ne changent pas le long de leur trajet. \(\rightarrow\) la fonction de champ lumineux 5D contient des informations redondantes. Cette redondance nous permet de réduire la dimension de la fonction de champ lumineux de 5D à 4D pour décrire complètement la luminance énergétique le long des rayons dans un espace libre.
</p>
</section>
<section >
<p>
<img src="./figures/geng_2planes.png" alt="geng_2planes.png" />
Reproduire fidèlement le champ lumineux généré par des objets physiques du monde réel. Cela s'avère être une tâche très difficile car la fonction de champ lumineux est continuellement distribuée. Un spectateur d'un objet 3D est exposé à un nombre potentiellement infini de vues différentes de la scène (c'est-à-dire à un champ lumineux distribué de manière continue).
</p>
</section>
<section >
<ul>
<li>dupliquer un champ lumineux complet \(\rightarrow\) impossible : Utiliser un nombre limité de "point de vue".</li>
<li>nombre fini de vues suffisamment élevé  dépasser la résolution angulaire de l’acuité visuelle de l’être humain.</li>
<li>limitation à la parallaxe horizontale</li>

</ul>

<div class="figure">
<p><img src="./figures/geng_multiview1.png" alt="geng_multiview1.png" />
</p>
</div>

</section>
<section id="slide-org187dbe6">
<h4 id="org187dbe6">Stratégies de mise en œuvre des écrans 3D multiview</h4>
<p>
Capacité à produire différentes images dans plusieurs positions angulaires (différentes) :
</p>
<ul>
<li>parallaxe stéréo</li>
<li>parallaxe de mouvement.</li>
<li>Pas de dispositif (type lunette) nécessaire.</li>

</ul>
<p>
Nombreuses stratégies de mise en œuvre pour les affichages 3D autostéréoscopiques à vues multiples. selon classification de Pastoor et Wöpking <sup><a id="fnr.3" class="footref" href="#fn.3">3</a></sup> \(\rightarrow\) grandes classes suivantes:
</p>
<ul>
<li>basé sur l'occlusion,</li>
<li>à base de réfraction,</li>
<li>basé sur la diffraction,</li>
<li>basé sur la réflexion,</li>
<li>basé sur l'éclairage,</li>
<li>basé sur la projection,</li>
<li>Super multiview.</li>

</ul>
</section>
<section id="slide-orge338d0e">
<h4 id="orge338d0e">Techniques d'affichage 3D multi-vues basées sur l'occlusion</h4>
<p>
Les approches d’affichage 3D multi-vues basées sur l’occlusion ont un point commun: elles sont toutes bloquées dans le chemin optique. En raison des effets de parallaxe, des parties de l'image sont masquées d'un œil mais visibles à l'autre. Les solutions techniques diffèrent par le nombre de fentes de visualisation (allant d’une grille dense à une fente verticale unique), par le mode de présentation (séquentiel dans le temps ou fixe) et par le fait que les barrières opaques sont placées devant ou derrière l’écran d’image ( barrière de parallaxe par rapport aux techniques d’éclairage par parallaxe).
</p>
</section>
<section >
<ul class="org-ul">
<li><a id="org8398a22"></a>Barrière de parallaxe<br />
<ul>
<li>Introduit par Ives en 1902<sup><a id="fnr.4" class="footref" href="#fn.4">4</a></sup>.</li>
<li>Utilisation d'un masque d’ouverture placé devant un affichage raster (masquer les sections d’écran individuelles qui ne doivent pas être visibles d’une zone de visualisation particulière).</li>
<li>Choix de la position de la barrière devant l'écran \(\rightarrow\) effet de masquage dépendant de la parallaxe.</li>
<li>Masque \(=\)  grille verticale  (alignement horizontal des yeux.</li>

</ul>

<div class="figure">
<p><img src="./figures/geng_BP2.png" alt="geng_BP2.png" />
</p>
</div>
</section>
<section >

<div class="figure">
<p><img src="./figures/geng_BP.png" alt="geng_BP.png" />
</p>
</div>
<ul>
<li>La distance de séparation \(pe\) et le pas de pixel \(p\) de l'écran sont prédéterminés par le matériel et les conditions de visualisation.</li>
<li>\(e\) est la moitié de la distance de séparation des yeux.</li>

</ul>
<p>
Sur la base d'une géométrie de triangle similaire, le pas de barrière approprié b et la distance de masque pb peuvent être calculés avec:
\[
 pb =\frac{p * pe}{e + p},~b =\frac{2p(pe-pb)}{pe}
\]
 Le masque de protection peut être ajusté dynamiquement en fonction de la position de l'observateur, avec un écran LCD transparent par exemple.
</p>
</section>
<section >
<ul>
<li>Transition en douceur de la parallaxe de mouvement entre les vues adjacentes \(\rightarrow\) chevauchement des profils de luminance de vues adjacentes</li>
<li>Chevauchement excessif peut augmenter le flou des images affichées.</li>

</ul>
<p>
Les écrans basés sur la barrière de parallaxe présentent plusieurs inconvénients:
</p>
<ul>
<li><b>luminosité réduite</b>  : on ne récupère qu'une portion du flux de chaque pixel)</li>
<li><b>résolution limitée</b> Pour un affichage avec \(N\) vues, la résolution de toute vue individuelle est égale à \(1/N\) de la résolution d'affichage d'origine.</li>
<li><b>Effet de palissade</b></li>
<li><b>Artefact de retournement</b> d'image lors du franchissement d'une zone de visualisation : position du spectateur pas correctement alignée \(\rightarrow\) œil gauche  voit l'image destinée à l'œil droit et inversement \(\rightarrow\) artefact de retournement:la profondeur n'est pas perçue correctement.</li>
<li><b>Nombre limité de zones de visualisation</b>.</li>
<li><b>Effet de diffraction</b></li>

</ul>
</section>
<section >
</li>
<li><a id="org3ba7b4c"></a>Affichages à ouverture temporelle séquentielle<br />
<p>
Afficher N séquences d'images en N images de synthèse à différentes positions virtuelles, comme s'il y avait N sources d'images dans différentes positions. 
<img src="figures/geng_OTS1.png" alt="geng_OTS1.png" />
</p>
<ul>
<li>tube cathodique à grande vitesse (-1000 Hz)</li>
<li>un réseau d'obturateurs LC ferroélectriques</li>

</ul>
<p>
L'image générée par chaque obturateur est dirigée vers une zone de vue correspondante. 
</p>
</section>
<section >
<p>
<img src="figures/geng_OTS2.png" alt="geng_OTS2.png" />
Une conception plus élaborée : 
</p>
<ul>
<li>Matrice de LED utilisée comme source de lumière à commutation rapide. Chaque voyant de la matrice peut être contrôlé et synchronisé pour s’allumer / éteindre à une cadence élevée.</li>
<li>à \(t\) une seule LED allumé \(\rightarrow\) dirigé vers un modulateur de lumière spatiale à grande vitesse (SLM) \(\rightarrow\) une image</li>
<li>image projettée vers un ensemble de lentilles d'imagerie et une matrice d'ouvertures (conjugaison led)</li>
<li>La lumière sortant de l'ouverture est projetée sur un écran diffuseur vertical.</li>

</ul>
</section>
<section >
<p>
Les images à affichage 3D multivues peuvent ensuite être vues par les téléspectateurs dans des angles de vision larges. Le schéma d’affichage séquentiel dans le temps présente plusieurs avantages: 
</p>
<ol>
<li>il conserve la résolution complète de l’écran d’affichage haute vitesse pour chaque affichage de l’affichage 3D, 2) il présente une architecture de conception système simple et ne nécessite pas de écrans ou projecteurs,</li>
<li>l’étalonnage du système est relativement facile, et (4) le coût de l’ensemble du système doit être faible s’il est produit en série.</li>

</ol>
<p>
Les inconvénients potentiels du schéma d’affichage séquentiel dans le temps sont les suivants: 
</p>
<ol>
<li>le nombre de vues est limité par la vitesse du SLM. Avec un affichage SLM de \(1000 Hz\) et une fréquence de rafraîchissement de \(25 Hz\) de l’affichage 3D, le nombre maximal de vues est de \(N = 1000/25 = 40\).</li>
<li>La distance de séparation des ouvertures est limité par la conception optique (contrainte sur le champ de vision)</li>
<li>La luminosité est limitée par la technologie CRT et la taille d'ouverture. Si une petite ouverture est sélectionnée afin d'obtenir une distribution dense des sources d'images virtuelles, la luminosité de chaque vue sera considérablement réduite.</li>

</ol>
</section>
<section >
</li>
<li><a id="orgc6dfd56"></a>Déplacement de fente devant l'écran<br />
<p>
L'Holotron (<a href="https://patents.google.com/patent/US3813685A/en">https://patents.google.com/patent/US3813685A/en</a>) est un écran à fente mobile sans lentilles additionnelles devant le tube cathodique. Les colonnes correspondantes de différentes vues sont affichées côte à côte derrière l'ouverture de la fente. Lorsque la fente se déplace latéralement, un nouvel ensemble de colonnes d’images multiplexées est affiché sur le tube cathodique. 
</p>

<p>
De cette façon, un ensemble de \(N\) vues est affiché sous la forme d'une séquence d'images partielles, composées de \(N\) colonnes, au cours d'un seul passage de la fente. La déviation horizontale du faisceau d'électrons est limitée à la position momentanée de la zone d'image partielle. 
</p>

<p>
Afin de réduire les besoins en tubes cathodiques (fréquence d'échantillonnage, persistance du phosphore), un tube cathodique à canon à électrons multiples associé à un panneau à fentes mobiles multiples a été proposé.
</p>

<div class="figure">
<p><img src="./figures/geng_holotron.png" alt="geng_holotron.png" />
</p>
<p><span class="figure-number">Figure&nbsp;46&nbsp;: </span>Fente en mouvement devant un écran haute vitesse.</p>
</div>
</section>
<section >
</li>
<li><a id="org9e9f630"></a>Affichage de barrière cylindrique de parallaxe (SeeLinder)<br />
<p>
SeeLinder de Endo \et al.\<sup><a id="fnr.5" class="footref" href="#fn.5">5</a></sup> couvre une zone de vision à 360 ° en utilisant:
</p>
<ul>
<li>barrière de parallaxe cylindrique rotative</li>
<li>matrices de LED.</li>

</ul>
<aside class="notes">
<p>
Le nombre physiquement limité de matrices de diodes électroluminescentes est surmonté par la rotation de la matrice de diodes électroluminescentes, tandis que la vue multiple dans la direction horizontale est créée par les barrières de parallaxe cylindriques en rotation. Dans chaque lieu de visualisation (zone), un téléspectateur peut voir une vue appropriée d'une image 3D correspondant à l'emplacement du téléspectateur. 
</p>

</aside>
<ul>
<li>Diamètre de 200 mm</li>
<li>Hauteur de 256 mm.</li>
<li>\(1254\) pixels circonférentiels \(x 256\) pixels verticaux.</li>
<li>Taux de rafraîchissement est de 30 Hz.</li>
<li>Chaque pixel a un angle de vue de 60 °, qui est divisé en plus de 70 vues de sorte que l’intervalle de parallaxe angulaire de chaque pixel soit inférieur à 1 °.</li>

</ul>

<div class="figure">
<p><img src="./figures/geng-SeeLinder.png" alt="geng-SeeLinder.png" />
</p>
</div>
</section>
<section >
<iframe width="560" height="256" src="./videos/Seelinder.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section >
</li>
<li><a id="org35c5d79"></a>Panneau LCD entièrement adressable (en tant que barrière de parallaxe)<br />
<iframe width="560" height="256" src="./videos/TensorDisplays.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</li>
</ul>
</section>
<section id="slide-orgc13fd75">
<h4 id="orgc13fd75">Techniques d'affichage 3D multi-vues basées sur la réfraction</h4>
<div class="outline-text-4" id="text-orgc13fd75">
</div>
<ul class="org-ul">
<li><a id="orge39de75"></a>Feuille lenticulaire<br />
<p>
<img src="./figures/geng_lenticular1.png" alt="geng_lenticular1.png" />
Une feuille de lentilles lenticulaires consiste en un réseau linéaire de grosses lentilles planes et convexes cylindriques appelées «lenticules». La fonction d'une feuille de lentilles est optiquement analogue à celle d'un écran à barrière de parallaxe. Cependant, il est transparent et, par conséquent, le rendement optique est beaucoup plus élevé que son équivalent en barrière de parallaxe. 
(voir <a href="https://patents.google.com/patent/US1128979A/en">https://patents.google.com/patent/US1128979A/en</a>) .
</p>
</section>
<section >
<p>
Avantages vs Inconvénients :
</p>
<ul>
<li>Rendement meilleur qu'avec les barrières de parallaxe classiques</li>
<li>Résolution limitée. Pour un affichage avec \(N\) vues, la résolution d'une vue individuelle est essentiellement de \(1\) à \(N\) de la résolution d'affichage d'origine.</li>
<li>Alignement de la feuille lenticulaire difficile.</li>
<li>Cross-Talk : perception incorrecte de l'effet stéréo</li>
<li>effet barrière, résolution limitée, nombre limité de fenêtres de visualisation&#x2026;</li>

</ul>
</section>
<section >
</li>
<li><a id="orgd74ec45"></a>Couche lenticulaire inclinée sur un écran LCD<br />
<p>
<img src="./figures/geng_lenticular2.png" alt="geng_lenticular2.png" />
Pour compenser la perte de résolution les Laboratoires de recherche Philips, ont proposé un système lenticulaire incliné permettant de répartir la perte de résolution dans les directions horizontale et verticale en inclinant la structure de la lentille ou en réarrangeant la lentille. 
Un certain nombre de produits de télévision 3D basés sur l’écran lenticulaire incliné sur des techniques à cristaux liquides sont actuellement ont été disponibles sur le marché, notamment des fabricants tels que Vizio, Stream TV Networks, Alioscopy, RealD, Philips, Sharp, Toshiba, etc. TLC. 
Certains d'entre eux travaillent sur des versions 4K UHD et même 8K de téléviseurs 3D.
</p>
</section>
<section >
</li>
<li><a id="org76d852a"></a>Conception LCD pour la réalisation de vues 3D multivues haute résolution<br />
<p>
<img src="./figures/geng_lcd.png" alt="geng_lcd.png" />
Dans les systèmes précédents :
Barrière lenticulaire ou une barrière de parallaxe \(\rightarrow\) perte de résolution dans chaque vue soit \(1/N\)  de la résolution native de l'écran  (\(N\) est le nombre de vues). 
Un certain nombre de fabricants d’écrans LCD développent de nouvelles technologies pour résoudre ce problème. Par exemple, NLT [53] a développé un module LCD haute densité pour diviser le pixel carré conventionnel en \(N\).
Des réseaux lenticulaires spéciaux sont conçus pour recouvrir chaque partie avec des optiques différentes \(\rightarrow\) chaque vue de l'affichage 3D à vues multiples \(=\) résolution en pixels de l'écran LCD d'origine. 
</p>
</section>
<section >
</li>

<li><a id="orgf883952"></a>Affichage 3D multi-vues utilisant plusieurs projecteurs et une feuille lenticulaire<br />
<p>
<img src="./figures/geng_lenticular3.png" alt="geng_lenticular3.png" />
Combinaison feuille lenticulaire et plusieurs projecteurs (proposé par Matusik et Pfister <sup><a id="fnr.6" class="footref" href="#fn.6">6</a></sup>). 
</p>
<aside class="notes">
<p>
Chacun de ces projecteurs crée des images pour une seule vue correspondante. Les projecteurs forment des images sur un écran réflecteur lenticulaire spécial. Dans la direction verticale, la lumière est diffusée dans toutes les directions. Dans le sens horizontal, la lumière est focalisée sur l'écran diffuseur réfléchissant puis renvoyée dans la direction du projecteur. La lumière traverse en fait deux fois l’écran lenticulaire à orientation verticale. Lors du premier passage, les lentilles lenticulaires focalisent les pixels du projecteur sur l’écran diffus. Lors du second passage, les mêmes lentilles lenticulaires redistribuent les pixels dans la même direction angulaire. Un écran transmissif peut également être utilisé, avec une double feuille lenticulaire. 
</p>

</aside>
<ul>
<li>Préservation de la résolution des images projetées pour chaque vue.</li>
<li>Il n'est pas nécessaire de scinder la résolution en fonction du nombre de vues.</li>
<li>La taille de l'écran d'affichage est évolutive sans augmenter considérablement les coûts et la complexité, en raison de l'utilisation de projecteurs.</li>

</ul>
</section>
<section >
<p>
<img src="./figures/geng_lenticular4.png" alt="geng_lenticular4.png" />
 Inconvénients
</p>
<ul>
<li><b>Coût</b>  Le coût d'un projecteur par vue devient exorbitant, même pour un nombre raisonnable de vues.</li>
<li><b>Difficulté de calibration</b> Ces affichages exigent également que les images projetées soient alignées avec précision les unes sur les autres. Dans des applications pratiques, le maintien de l'étalonnage optique pour un grand nombre de projecteurs est une tâche ardue.</li>

</ul>
<p>
Malgré ces problèmes, des systèmes expérimentaux ont été produits avec plus de 100 vues.
</p>
</section>
<section >
</li>
<li><a id="org7b22280"></a>Masque de prisme<br />
<p>
Une solution différente développée par Schwerdtner et Heidrich <sup><a id="fnr.7" class="footref" href="#fn.7">7</a></sup> utilise un seul panneau et une source de lumière en liaison avec un masque de prisme. Les colonnes de pixels alternées (triples RVB) sont composées des colonnes correspondantes des images gauche et droite. Les prismes servent à dévier les rayons de lumière vers des zones d'observation séparées.
<img src="./figures/geng_lenticularprisms.png" alt="geng_lenticularprisms.png" />
</p>
</section>
<section >
</li>
<li><a id="org687aedd"></a>Lentilles à cristaux liquides<br />
<p>
Le réseau de lentille est remplacé par un système à cristaux liquides adressables.
<img src="./figures/geng_lenticularLC.png" alt="geng_lenticularLC.png" />
Permet de passer de la \(2D\) à la \(3D\), mais : Pb alignement CL sur les bords (cross-talk)
</p>
</section>
<section >
</li>
<li><a id="orgb79d16d"></a>Affichage 3D intégral<br />
<div class="figure">
<p><img src="./figures/geng_integral.png" alt="geng_integral.png" />
</p>
</div>
</section>
<section >
</li>
<li><a id="orgf9c092c"></a>Feuille lenticulaire en mouvement<br />
<p>
<img src="./figures/geng_lenticularmooving.png" alt="geng_lenticularmooving.png" />
  L'affichage multi-vues peut être produit via des pièces mobiles, comme proposé par Cossairt <i>et al.</i>, Goulanian <i>et al.</i> et Bogaert <i>et al.</i><sup><a id="fnr.8" class="footref" href="#fn.8">8</a></sup> .
</p>

<p>
Les inconvénients de cette conception sont les suivants:
</p>
<ol>
<li>Pb de production à différente échelles (contrôleur de mouvement diffère selon taille)</li>
<li>Comme le module lenticulaire se déplace dans les deux sens, la vitesse n'est pas constante.</li>
<li>Pour les écrans de grande taille: conception très difficile et coûteuse à mettre en œuvre.</li>

</ol>
</li>
</ul>
</section>
<section id="slide-org5f4d5f0">
<h4 id="org5f4d5f0">Affichage 3D multivue basé sur la réflexion</h4>
<div class="outline-text-4" id="text-org5f4d5f0">
</div>
<ul class="org-ul">
<li><a id="orga93ba1d"></a>Répartiteur de faisceau (demi-miroir)<br />
<div class="figure">
<p><img src="./figures/geng_halfmirror.png" alt="geng_halfmirror.png" />
</p>
</div>
<ul>
<li>Head-tracking</li>
<li>sources mobiles</li>

</ul>
<p>
voir Woodgate <i>et al.</i> <sup><a id="fnr.9" class="footref" href="#fn.9">9</a></sup>
</p>
<aside class="notes">
<p>
Une lentille de champ est placée au centre d'une image réelle (aérienne) afin de collimater les rayons de lumière traversant cette image sans affecter ses propriétés géométriques. Divers concepts d’affichage 3D utilisent une lentille de champ pour projeter les pupilles de sortie des systèmes d’éclairage d’images gauche et droite dans les yeux de l’observateur. L’effet est que l’image vue de droite apparaît sombre à l’œil gauche, et inversement. Cette approche évite généralement toutes les difficultés résultant de faibles tolérances d'enregistrement d'éléments optiques de la taille d'un pixel. La figure 34 illustre le principe de base de l'affichage 3D basé sur un séparateur de faisceau proposé par Woodgate et al.. Deux panneaux LCD, dont les images sont superposées par un combinateur de faisceaux, permettent d'afficher les vues gauche et droite. Les lentilles de champ placées près de l'écran LCD servent à diriger les faisceaux d'éclairage dans l'œil approprié. Pour le suivi de la tête, la position des sources de lumière doit être mobile. Le système d'éclairage de suivi de la tête peut être mis en œuvre, par exemple, à l'aide de tubes cathodiques monochromes affichant des images de caméra à contraste élevé des moitiés gauche et droite du visage de l'observateur. L'accès pour plusieurs utilisateurs est possible en utilisant plusieurs illuminateurs indépendants.
</p>

</aside>
</li>
</ul>
</section>
<section id="slide-org000026b">
<h4 id="org000026b">Affichage 3D multivue basé sur la diffraction</h4>
<p>
 Regroupement en «pixels jumbo» à l'aide de DOE <sup><a id="fnr.10" class="footref" href="#fn.10">10</a></sup>
<img src="figures/geng_diffractive1.png" alt="geng_diffractive1.png" /> 
Difficultés liées à l'alignement des pixels avec les DOE.
</p>
</section>
<section >
<ul class="org-ul">
<li><a id="org76f0071"></a>Rétroéclairage directionnel basé sur l'optique diffractive<br />
<div class="figure">
<p><img src="./figures/fattal_title.png" alt="fattal_title.png" /> 
</p>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/fattal_figure.png" alt="fattal_figure.png" /></td>
<td class="org-left"><img src="./figures/fattal_figure2.png" alt="fattal_figure2.png" /></td>
</tr>
</tbody>
</table>
</section>
<section >
<iframe width="560" height="256" src="./videos/fattal.mkv" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</li>
</ul>
</section>
<section id="slide-org84ec334">
<h4 id="org84ec334">Affichage 3D multivue basé sur la projection</h4>
<div class="outline-text-4" id="text-org84ec334">
</div>
<ul class="org-ul">
<li><a id="orgd7acbd7"></a>USC: affichage du champ lumineux à l'écran rotatif avec un projecteur haute vitesse<br />
<p>
Voir Jones <i>et al.</i> <sup><a id="fnr.11" class="footref" href="#fn.11">11</a></sup>
</p>
<iframe width="560" height="256" src="./videos/jones.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
<aside class="notes">
<p>
L'affichage du champ lumineux développé par Jones et al. consiste en un projecteur d’images haute vitesse, un miroir en rotation recouvert d’un diffuseur holographique et une électronique permettant de décoder les signaux vidéo DVI (Digital Visual Interface) spécialement codés. Comme le montre la figure 37, le projecteur d'images haute vitesse et un miroir en rotation recouvert d'un diffuseur holographique génèrent une vue HPO à 360 °. Cossairt et al. [69] ont développé un affichage HPO 3D à 198 vues, basé sur la plate-forme d’affichage 3D spatial Perspectra [70]. Il est capable de produire des images 3D avec des effets dépendant de la position du spectateur. Ceci a été réalisé en remplaçant l'écran rotatif par un diffuseur vertical et en modifiant le logiciel de rendu 3D sur le Perspectra.
Les affichages 3D de champs lumineux peuvent produire des effets visuels 3D impressionnants. Il existe cependant plusieurs problèmes inhérents aux technologies d'affichage 3D à champ lumineux existantes. Par exemple, certaines approches reposent sur des pièces en rotation et / ou un mécanisme de balayage pour produire des distributions de champs lumineux. Il existe une limitation physique du volume d'affichage due à l'existence de pièces mobiles. Les compromis entre la qualité d'image affichée et la complexité / les coûts des systèmes d'affichage obligent parfois les concepteurs à sacrifier la qualité d'image; La résolution et la qualité des images 3D ne sont donc toujours pas comparables à celles des écrans 2D haut de gamme.
</p>

</aside>
</section>
<section >
</li>
<li><a id="org943df33"></a>Multi-projecteur + diffuseur<br />
<aside class="notes">
<p>
Un développement récent de la technologie d’affichage 3D multi-vues utilise plusieurs projecteurs et un écran holographique pour générer un nombre suffisant de vues pour produire un effet d’affichage 3D. Ces écrans utilisent un ensemble de micro-écrans spécialement agencés et un écran holographique. L'un des éléments utilisés pour la fabrication de l'écran holographique est le diffuseur vertical (Fig. 38). Chaque point de l'écran holographique émet de manière contrôlée des faisceaux lumineux de couleur et d'intensité différentes dans les différentes directions. Les faisceaux lumineux sont générés par un système de modulation de la lumière agencé selon une géométrie spécifique et l'écran holographique effectue la transformation optique nécessaire pour composer ces faisceaux dans une vue 3D continue. Avec un contrôle logiciel approprié, les faisceaux lumineux quittent l’écran du diffuseur vertical: la nature horizontale de l’affichage ne nécessitant que la parallaxe nécessite un élément diffusant dans le plan de l’image. La fonction de ce diffuseur est de disperser la lumière le long de l’axe vertical tout en laissant le contenu horizontal de l’image inchangé. Un tel diffuseur peut être approché par un réseau lenticulaire finement aigu.
</p>

</aside>
<iframe width="560" height="256" src="./videos/ICT.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
<p>
voir également <code>Holovizio</code> de <code>Holografika</code>
</p>
</li>
</ul>
</section>
<section id="slide-org95d37fd">
<h3 id="org95d37fd">Affichages "Volumétriques"</h3>
<div class="outline-text-3" id="text-org95d37fd">
</div>
</section>
<section id="slide-org52dbcbe">
<h4 id="org52dbcbe">Utilisation d'une pompe optique pour la fluorescence</h4>
<p>
<img src="figures/geng_biphoton.png" alt="geng_biphoton.png" />
Permet de créer des système d'affichage volumétriques<sup><a id="fnr.12" class="footref" href="#fn.12">12</a></sup>
<img src="./figures/solidfelix_title.png" alt="solidfelix_title.png" />
<img src="./figures/solidfelix.png" alt="solidfelix.png" />
</p>
</section>
<section id="slide-org73f42a1">
<h4 id="org73f42a1">Volumes diffusants passifs</h4>

<div class="figure">
<p><img src="./figures/geng_lasercrack.png" alt="geng_lasercrack.png" />
</p>
</div>
<iframe width="560" height="256" src="./videos/Volumetric_Displays.mkv" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</section>
<section id="slide-orge842673">
<h4 id="orge842673">Systèmes à balayage</h4>
<ul>
<li>Leds tournantes</li>
<li>Hélices à projection</li>
<li>&#x2026;</li>

</ul>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/geng_rotled.png" alt="geng_rotled.png" /></td>
<td class="org-left"><img src="./figures/geng_helix.png" alt="geng_helix.png" /></td>
</tr>
</tbody>
</table>
</section>
<section id="slide-org882e9ea">
<h4 id="org882e9ea">Systèmes holographiques</h4>
<p>
cf. cours restitution 3D
Problème de la bande passante !
</p>

<div class="figure">
<p><img src="./figures/geng_mark.png" alt="geng_mark.png" />
</p>
<p><span class="figure-number">Figure&nbsp;52&nbsp;: </span>MIT Media Lab Mark System</p>
</div>
</section>
<section >
<p>
Réduire le problème de la bande passante : système SeeReal :)
</p>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/SeeReal1.png" alt="SeeReal1.png" /></td>
<td class="org-left"><img src="./figures/SeeReal2.png" alt="SeeReal2.png" /></td>
</tr>
</tbody>
</table>
</section>
<section >

<div class="figure">
<p><img src="./figures/PABlanche.png" alt="PABlanche.png" />
</p>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><img src="./figures/PABlanchefig1a.png" alt="PABlanchefig1a.png" /></td>
<td class="org-left"><img src="./figures/PABlanchefig1.png" alt="PABlanchefig1.png" /></td>
</tr>
</tbody>
</table>
</section>
<section id="slide-orgd5e2b0e">
<h4 id="orgd5e2b0e">Système volumétriques sans supports</h4>
<div class="outline-text-4" id="text-orgd5e2b0e">
</div>
<ul class="org-ul">
<li><a id="orgfcd7963"></a>Génération de plasma<br />
<p>
Rappel de la technologie utilisant le  Bi-Photon pour générer des boules de plasma dans l'air.
</p>
<iframe width="560" height="256" src="./videos/plasma.mkv" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

</section>
<section >
</li>
<li><a id="orgd3216f7"></a>Hologramme "Comme dans la guerre des étoiles ?"<br />
<iframe width="560" height="256" src="./videos/starwars.mp4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</li>
</ul>
</div>
</div>
<script src="/home/bs/Applications/reveal.js/lib/js/head.min.js"></script>
<script src="/home/bs/Applications/reveal.js/js/reveal.js"></script>

<script>
// Full list of configuration options available here:
// https://github.com/hakimel/reveal.js#configuration
Reveal.initialize({

controls: true,
progress: true,
history: false,
center: true,
slideNumber: 'c',
rollingLinks: false,
keyboard: true,
overview: true,

theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
transition: Reveal.getQueryHash().transition || 'None', // default/cube/page/concave/zoom/linear/fade/none
transitionSpeed: 'default',
multiplex: {
    secret: '', // null if client
    id: '', // id, obtained from socket.io server
    url: '' // Location of socket.io server
},

// Optional libraries used to extend on reveal.js
dependencies: [
 { src: '/home/bs/Applications/reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
 { src: '/home/bs/Applications/reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: '/home/bs/Applications/reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
 { src: '/home/bs/Applications/reveal.js/plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } },
 { src: '/home/bs/Applications/reveal.js/plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } }]
});
</script>
</body>
</html>
